@mixin frs-position($position, $args) {
    position: $position;

    @each $o in top right bottom left {
        $i: index($args, $o);

        @if $i and $i + 1 <= length($args) and type-of(nth($args, $i + 1)) == number {
            #{$o}: nth($args, $i + 1);
        }
    }
}

@mixin frs-absolute($args) {
    @include frs-position(absolute, $args);
}

@mixin frs-fixed($args) {
    @include frs-position(fixed, $args);
}

@mixin frs-relative($args) {
    @include frs-position(relative, $args);
}
